# NOTICE:
#
# Application name defined in TARGET has a corresponding QML filename.
# If name defined in TARGET is changed, the following needs to be done
# to match new name:
#   - corresponding QML filename must be changed
#   - desktop icon filename must be changed
#   - desktop filename must be changed
#   - icon definition filename in desktop file must be changed
#   - translation filenames have to be changed

# The name of your application
TARGET = harbour-pedalo

VERSION_MAJOR = 0
VERSION_MINOR = 1
VERSION_BUILD = 1

#Target version
VERSION = $${VERSION_MAJOR}.$${VERSION_MINOR}-$${VERSION_BUILD}

DEFINES += "VERSION_MAJOR=$$VERSION_MAJOR" \
    "VERSION_MINOR=$$VERSION_MINOR" \
    "VERSION_BUILD=$$VERSION_BUILD" \
    "VERSION=\\\"$$VERSION\\\""

CONFIG += sailfishapp

SOURCES += src/harbour-pedalo.cpp \
    src/journey.cpp \
    src/journeymodel.cpp \
    src/status.cpp \
    src/settings.cpp

DISTFILES += qml/harbour-pedalo.qml \
    qml/cover/CoverPage.qml \
    rpm/harbour-pedalo.changes.in \
    rpm/harbour-pedalo.changes.run.in \
    rpm/harbour-pedalo.spec \
    rpm/harbour-pedalo.yaml \
    translations/*.ts \
    harbour-pedalo.desktop \
    qml/pages/MainPage.qml \
    qml/pages/AddJourney.qml \
    qml/pages/Stats.qml \
    qml/pages/JourneyList.qml \
    qml/pages/About.qml \
    qml/components/InfoRow.qml

SAILFISHAPP_ICONS = 86x86 108x108 128x128 172x172

# to disable building translations every time, comment out the
# following CONFIG line
CONFIG += sailfishapp_i18n

# German translation is enabled as an example. If you aren't
# planning to localize your app, remember to comment out the
# following TRANSLATIONS line. And also do not forget to
# modify the localized app name in the the .desktop file.
TRANSLATIONS += translations/harbour-pedalo-de.ts

HEADERS += \
    src/journey.h \
    src/journeymodel.h \
    src/status.h \
    src/settings.h \
    src/harbour-pedalo.h
